apiVersion: apps/v1
kind: Deployment
metadata:
  name: registration-deployment
  labels:
    app: ms-registration
spec:
  replicas: 1
  selector:
    matchLabels:
      app: ms-registration
  template:
    metadata:
      labels:
        app: ms-registration
    spec:
      containers:
        - name: registration-container
          image: ms-registration:latest
          imagePullPolicy: IfNotPresent
          ports:
            - containerPort: 8761